ChangeSet 1.1101.3.10, 2003/04/14 10:32:00-07:00, arndt@lin02384n012.mc.schoenewald.de

[PATCH] USB: Patch against unusual_devs.h to enable Pontis SP600


 drivers/usb/storage/unusual_devs.h |    9 +++++++++
 1 files changed, 9 insertions(+)


diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	Fri Apr 18 15:00:39 2003
+++ b/drivers/usb/storage/unusual_devs.h	Fri Apr 18 15:00:39 2003
@@ -285,6 +285,15 @@
 		"USB Hard Disk",
 		US_SC_RBC, US_PR_CB, NULL, 0 ), 
 
+/* Enable USB storage access to the MMC/SD and CompactFlash cards inside the
+ * Pontis SP600 MP3 player (entry found on http://www.pontis.de/).
+ */
+UNUSUAL_DEV(  0x09bc, 0x0003, 0x0000, 0x9999,
+		"PONTIS",
+		"SP600",
+		US_SC_SCSI, US_PR_BULK, NULL,
+		US_FL_START_STOP ),
+
 #ifdef CONFIG_USB_STORAGE_ISD200
 UNUSUAL_DEV(  0x05ab, 0x0031, 0x0100, 0x0110,
                 "In-System",
